//
// Created by Louis on 25-4-1.
//

#ifndef QANTPRIMARYBUTTON_H
#define QANTPRIMARYBUTTON_H

#include "QAntAbstractButton.h"

class QAntPrimaryButton : public QAntAbstractButton{
	Q_OBJECT

public:
	explicit QAntPrimaryButton(QWidget* parent = nullptr);

	QColor normalColor() const;
	void setNormalColor(const QColor& color);

	QColor hoverColor() const;
	void setHoverColor(const QColor& color);

	QColor pressedColor() const;
	void setPressedColor(const QColor& color);

	QColor disabledColor() const;
	void setDisabledColor(const QColor& color);

	QColor textColor() const;
	void setTextColor(const QColor& color);
	
};



#endif //QANTPRIMARYBUTTON_H
